# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is BesserWisser version 2.0.
#
# The Initial Developer of the Original Code is European Environment
# Agency (EEA).  Portions created by Finsiel Romania are
# Copyright (C) European Environment Agency.  All
# Rights Reserved.
#
# Contributor(s):
# Soren Roug, EEA
# Miruna Badescu, Finsiel Romania


""" ExpertData virtual class - propertysheet for expert credentials.
    Holds the experts data
"""

# Python imports

# Zope imports
import Globals

# Product imports

class ExpertData:
    """ ExpertData class"""

    def __init__(self, Firstname, Lastname, Nationality, Email, ProfileEnglish, ProfileNative, Employer,
            Expertise, LanguagesUnderstood, QuestionsPerDay, ProfileNativeIsIn, isOrganisation, Picture, 
            onVacation, ExpectedReturnDate):
        """ Expert constructor """
        self.Firstname = Firstname
        self.Lastname = Lastname
        self.Nationality = Nationality
        self.Email = Email
        self.ProfileEnglish = ProfileEnglish
        self.ProfileNative = ProfileNative
        self.Employer = Employer
        self.Expertise = Expertise
        self.Expertise_history_enroled = []
        self.Expertise_history_disabled = []
        self.LanguagesUnderstood = LanguagesUnderstood
        self.QuestionsPerDay = int(QuestionsPerDay)
        self.ProfileNativeIsIn = ProfileNativeIsIn
        self.isOrganisation = isOrganisation
        self.Picture = Picture
        self.onVacation = onVacation
        self.ExpectedReturnDate = ExpectedReturnDate

Globals.InitializeClass(ExpertData)


class ExpertFormData:
    """ ExpertFormData class """

    def __init__(self, Firstname, Lastname, Email, ProfileNativeIsIn, LanguagesUnderstood, Nationality, name, password, Expertise, Employer, ProfileEnglish, ProfileNative, QuestionsPerDay, onVacation, ExpectedReturnDate):
        """ """
        self.Firstname = Firstname
        self.Lastname = Lastname
        self.Email = Email
        self.ProfileNativeIsIn = ProfileNativeIsIn
        self.LanguagesUnderstood = LanguagesUnderstood
        self.Nationality = Nationality
        self.name = name
        self.password = password
        self.Expertise = Expertise
        self.Employer = Employer
        self.ProfileEnglish = ProfileEnglish
        self.ProfileNative = ProfileNative
        self.QuestionsPerDay = QuestionsPerDay
        self.onVacation = onVacation
        self.ExpectedReturnDate = ExpectedReturnDate

    def update(self, Firstname, Lastname, Email, ProfileNativeIsIn, LanguagesUnderstood, Nationality, name, password, Expertise, Employer, ProfileEnglish, ProfileNative, QuestionsPerDay, onVacation, ExpectedReturnDate):
        """ """
        self.Firstname = Firstname
        self.Lastname = Lastname
        self.Email = Email
        self.ProfileNativeIsIn = ProfileNativeIsIn
        self.LanguagesUnderstood = LanguagesUnderstood
        self.Nationality = Nationality
        self.name = name
        self.password = password
        self.Expertise = Expertise
        self.Employer = Employer
        self.ProfileEnglish = ProfileEnglish
        self.ProfileNative = ProfileNative
        self.QuestionsPerDay = QuestionsPerDay
        self.onVacation = onVacation
        self.ExpectedReturnDate = ExpectedReturnDate
