# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is Reportek version 1.0.
#
# The Initial Developer of the Original Code is European Environment
# Agency (EEA).  Portions created by EEA are
# Copyright (C) European Environment Agency.  All
# Rights Reserved.
#
# Contributor(s):
# Soren Roug, EEA

__doc__ = """External Document which allows searching and conversions. """
__version__ = '$Revision: 1.8 $'[11:-2]

# Python imports

# Zope imports
from ImageFile import ImageFile

# Product imports
import Resources
import BesserWisser

def initialize(context):
    """ Besser Wisser """

    #add BesserWisser
    context.registerClass(
       BesserWisser.BesserWisser,
       permission = Resources.PERMISSION_ADD_BESSER_WISSER,
       constructors = (
            BesserWisser.manage_addBesserWisserForm,
            BesserWisser.manage_addBesserWisser),
       icon = 'www/engine.gif'
       )


    context.registerHelp()
    context.registerHelpTitle('Zope Help')

# Define shared web objects that are used by products.
# This is usually (always ?) limited to images used
# when displaying an object in contents lists.
# These objects are accessed as:
#   <dtml-var SCRIPT_NAME>/misc_/Product/name

misc_ = {
    "spacer.gif":  ImageFile("www/spacer.gif", globals()),
    "engine.gif":  ImageFile("www/engine.gif", globals()),
    "login.jpg":   ImageFile("www/login.jpg", globals()),
    "enrol.jpg":   ImageFile("www/enrol.jpg", globals()),
    "bullet.gif":   ImageFile("www/bullet.gif", globals()),

    "ltop.gif":  ImageFile("www/ltop.gif", globals()),
    "rtop.gif":  ImageFile("www/rtop.gif", globals()),
    "lbot.gif":  ImageFile("www/lbot.gif", globals()),
    "rbot.gif":  ImageFile("www/rbot.gif", globals()),
    "ltab.gif":  ImageFile("www/ltab.gif", globals()),
    "rtab.gif":  ImageFile("www/rtab.gif", globals()),

    'sort_asc.gif':ImageFile('www/sort_asc.gif', globals()),
    'sort_desc.gif':ImageFile('www/sort_desc.gif', globals()),

    'question_symbol.gif':ImageFile('www/question_symbol.gif', globals()),
    'answer_symbol.gif':ImageFile('www/answer_symbol.gif', globals()),

    "greystar.gif":   ImageFile("www/greystar.gif", globals()),
    "category.gif":   ImageFile("www/category.gif", globals()),
    "question.gif":   ImageFile("www/question.gif", globals()),
    "expert.gif":   ImageFile("www/expert.gif", globals()),
    "expert_folder.gif":   ImageFile("www/category.gif", globals()),
    "infobubble.gif": ImageFile("www/infobubble.gif", globals()),
    "bluestar.gif":   ImageFile("www/bluestar.gif", globals()),
    "greenstar.gif":  ImageFile("www/greenstar.gif", globals()),
    "purpleshoot.gif":ImageFile("www/purpleshoot.gif", globals()),
    "purplestar.gif": ImageFile("www/purplestar.gif", globals()),
    "redshoot.gif":   ImageFile("www/redshoot.gif", globals()),
    "redstar.gif":    ImageFile("www/redstar.gif", globals()),
    "turqshoot.gif":  ImageFile("www/turqshoot.gif", globals()),
    "turqstar.gif":   ImageFile("www/turqstar.gif", globals()),
    "yellowshoot.gif":ImageFile("www/yellowshoot.gif", globals()),
    "yellowstar.gif": ImageFile("www/yellowstar.gif", globals()),
}